Bug 251518 - net/ns3: Update to 3.32 & Adopt Port
Summary: net/ns3: Update to 3.32 & Adopt Port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-02 05:51 UTC by Neel Chauhan
Modified: 2020-12-11 11:28 UTC (History)
2 users (show)

See Also:


Attachments
Patch (Revision 1) (967 bytes, patch)
2020-12-02 05:51 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 2) (46.79 KB, patch)
2020-12-02 06:03 UTC, Neel Chauhan
no flags Details | Diff
Additional improvements in port Makefile (47.90 KB, patch)
2020-12-02 09:20 UTC, Fernando Apesteguía
no flags Details | Diff
Patch (Revision 3) (49.75 KB, patch)
2020-12-02 17:00 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 4) (50.49 KB, patch)
2020-12-10 20:10 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2020-12-02 05:51:36 UTC
Created attachment 220154 [details]
Patch (Revision 1)

Passes poudriere
Comment 1 Neel Chauhan freebsd_committer 2020-12-02 06:03:07 UTC
Created attachment 220156 [details]
Patch (Revision 2)

Forgot a few things.
Comment 2 Fernando Apesteguía freebsd_committer 2020-12-02 09:20:26 UTC
Created attachment 220162 [details]
Additional improvements in port Makefile

Hi Neel,

I updated the Makefile so it conforms to the order of the variables in the Handbook (https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-order)

Having a look at the changes in pkg-plist. Did you check that the package builds correctly with DEBUG=ON and DEBUG=OFF?
Comment 3 Fernando Apesteguía freebsd_committer 2020-12-02 15:49:07 UTC
Yep, it does not build with DEBUG=ON

====> Compressing man pages (compress-man)
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: bin/ns%%VERSION%%-adaptive-red-tests%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-adhoc-aloha-ideal-phy%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-adhoc-aloha-ideal-phy-matrix-propagation-loss-model%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-adhoc-aloha-ideal-phy-with-microwave-oven%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-aodv%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-basic-energy-model-test%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-bench-packets%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-bench-simulator%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-bonnmotion-ns2-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-buildings-pathloss-profiler%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-cobalt-vs-codel%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-codel-vs-pfifo-asymmetric%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-codel-vs-pfifo-basic-test%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-colors-link-description%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-command-line-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-config-store-save%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-csma-bridge%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-csma-bridge-one-hop%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-csma-broadcast%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-csma-multicast%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-csma-one-subnet%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-csma-packet-socket%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-csma-ping%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-csma-raw-ip-socket%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-csma-star%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-dctcp-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-dhcp-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-double-probe-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-dsdv-manet%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-dsr%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-dumbbell-animation%%DEBUG_SUFX%%
...
...
Comment 4 Neel Chauhan freebsd_committer 2020-12-02 17:00:14 UTC
Created attachment 220178 [details]
Patch (Revision 3)

Here I hopefully added debug
Comment 5 Fernando Apesteguía freebsd_committer 2020-12-02 19:28:51 UTC
(In reply to Neel Chauhan from comment #4)
We are not there yet :S

You mentioned revision 3 in the patch, but it is actually named ns3-3.32-r2.diff.
Did you upload the last one?
Comment 6 Neel Chauhan freebsd_committer 2020-12-02 19:35:29 UTC
This is the correct one. r2 is because it's MY second one (on my local system), but I said Revision 3 here because of your second patch (which my Revision 3) is based on.
Comment 7 Neel Chauhan freebsd_committer 2020-12-03 04:20:03 UTC
To clarify, my patch is "Revision 3" because I'll assume r2 is your patch.
Comment 8 Neel Chauhan freebsd_committer 2020-12-04 19:25:38 UTC
Sorry of the confusion on revision numbers, could someone please commit this patch?
Comment 9 Fernando Apesteguía freebsd_committer 2020-12-04 19:42:48 UTC
(In reply to Neel Chauhan from comment #8)

As I said in comment #5 we are not quite there. It still fails with DEBUG=on

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: bin/ns%%VERSION%%-dynamic-global-routing%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-empirical-random-variable-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-energy-model-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-energy-model-with-harvesting-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-example-ping-lr-wpan-beacon%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-example-ping-lr-wpan%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-example-ping-lr-wpan-mesh-under%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-example-sixlowpan%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-fatal-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-fifth%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-file-aggregator-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-file-helper-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-first%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-fourth%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-fqcodel-l4s-example%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-fragmentation-ipv6%%DEBUG_SUFX%%
Error: Orphaned: bin/ns%%VERSION%%-fragmentation-ipv6-two-MTU%%DEBUG_SUFX%%
...
...
Comment 10 Neel Chauhan freebsd_committer 2020-12-10 20:10:01 UTC
Created attachment 220440 [details]
Patch (Revision 4)

Try this.
Comment 11 commit-hook freebsd_committer 2020-12-11 11:28:04 UTC
A commit references this bug:

Author: fernape
Date: Fri Dec 11 11:27:39 UTC 2020
New revision: 557722
URL: https://svnweb.freebsd.org/changeset/ports/557722

Log:
  net/ns3: Update to 3.32 & set MAINTAINER

  Submitter becomes MAINTAINER. Already maintainer of several ports.

  PR:	251518
  Submitted by:	neel@neelc.org

Changes:
  head/net/ns3/Makefile
  head/net/ns3/distinfo
  head/net/ns3/pkg-plist
Comment 12 Fernando Apesteguía freebsd_committer 2020-12-11 11:28:42 UTC
Committed!

Thank you for all the changes and for taking maintainerhsip!